## argyll 1.5.1

=== debian/changelog ===
argyll (1.5.1-8) unstable; urgency=medium

  * QA upload.
  * Add a symbols file for libicc2 and libimdi0.

 -- Iain Lane <laney@debian.org>  Mon, 09 Jun 2014 12:52:11 +0100

argyll (1.5.1-7) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump udev recommended version to >= 196

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 May 2014 22:30:57 +0200

argyll (1.5.1-6) unstable; urgency=medium

  * QA upload.
  * debian/patches/03_usb-db.diff: Use hwdb builtin, instead of the obsolete
    usb-db in the udev rules.
  * debian/patches/06_fix_udev_rule.patch: Fix udev rules to actually work;
    ENV{ACL_MANAGE} has stopped working ages ago, and with logind it's now the
    "uaccess" tag. Dropping also consolekit from Recommends. (Closes: #746974)
  * debian/rules: Add libpam-systemd as a recommends to be sure we have a
    session registered, this is needed for the permissions on the devices.
  * debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.
    (Closes: #733126)
  * debian/control: Drop Uploaders as the package has been orphaned
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 May 2014 21:36:24 +0200

argyll (1.5.1-5) unstable; urgency=low

  * Package orphaned. I don't intent to support the work of an agressive
    upstream author more longer and realy good luck for the next maintainer.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Aug 2013 14:18:29 +0200

argyll (1.5.1-4) unstable; urgency=low

  * Revert previous yajl patch this break argyll.
  * Regenerate all manpages.
  * Add colord and gir1.2-colordgtk-1.0 in Suggests.
  * Don't package .a and .la files.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Aug 2013 15:51:54 +0200

argyll (1.5.1-3) unstable; urgency=low

  * Uptade patch 01_autotools-support with patch from bug report to link
    argyll against external yajl also add an one line patch called
    05_external-yajl (Closes: #544223)

 -- Christian Marillat <marillat@debian.org>  Fri, 02 Aug 2013 08:10:38 +0200

argyll (1.5.1-2) unstable; urgency=low

  * Package iccdump.1 and icclu.1 only in icc-utils package
    (Closes: #717990, # 717993).

 -- Christian Marillat <marillat@debian.org>  Sat, 27 Jul 2013 21:43:59 +0200

argyll (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed 03_kfreebsd patch.
  * Refresh 01_autotools-support patch (CLoses: 713545)
  * New patch 03_usb-db to add support for newer udev (Closes: 717504)

 -- Christian Marillat <marillat@debian.org>  Fri, 26 Jul 2013 16:25:19 +0200

=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.argyllcms.com/
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libtiff-dev, libx11-dev, libxxf86vm-dev,
 x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
 libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
 quilt, libjpeg-dev, libusb-dev, dh-autoreconf

Package: argyll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: argyll-bin
Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
Suggests: colord, gir1.2-colordgtk-1.0
Conflicts: argyll-bin
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Section: debug
Architecture: any
Priority: extra
Depends: argyll (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for argyll
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the debugging symbols for argyll, libicc and libimdi
 libraries

Package: icc-utils
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:   libicc2 (<< 2.12+argyll1.4.0-2)
Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
Description: ICC profile I/O library
 The icclib is a set of routines which implement the reading and  
 writing of color profile files that conform to the International 
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package contains two utilities :
 .
  * iccdump : dump an ICC file in human readable form.
  * icclu : translate colors through an ICC profile.

Package: libicc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libicc2 (= ${binary:Version}), ${misc:Depends}
Conflicts: argyll (<< 1.0.3+dfsg1-3)
Description: Development files for the ICC profile I/O library
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package is needed to compile programs against libicc2, as
 it only includes the header files and static libraries (optionally)
 needed for compiling.

Package: libicc2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: argyll
Description: ICC profile I/O library
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.

Package: libimdi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libimdi0 (= ${binary:Version}), ${misc:Depends}
Conflicts: argyll (<< 1.3.0-3)
Description: Development files for the IMDI library
 The Interger Multi-Dimensional Interpolation routines provides a flexible
 and high performance system for applying color transforms to typical raster 
 pixel data.
 .
 This package is needed to compile programs against libimdi0, as
 it only includes the header files and static libraries (optionally)
 needed for compiling.

Package: libimdi0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: argyll (<< 1.3.0-3)
Description: Integer Multi-Dimensional Interpolation routines (IMDI) library
 The Interger Multi-Dimensional Interpolation routines provides a flexible
 and high performance system for applying color transforms to typical raster 
 pixel data.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

####CC:=ccache $(CC)

%:
	dh $@ --with quilt,autoreconf

# Doesn't work for now.
#--parallel

override_dh_auto_configure:
	chmod +x ./configure

	dh_auto_configure -- \
	CC="$(CC)"

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_clean:
	dh_clean imdi/imdi_k.c ref/RefMediumGamut.gam \
	libusb/Makefile libusb/config.h libusb/config.log libusb/usb.h	\
	libusb/config.status libusb/doc/Makefile libusb/libtool		\
	libusb/libusb-config libusb/libusb.pc libusb/stamp-h1		\
	libusb/tests/Makefile firmware-package-builder/*.tar.gz

	[ ! $(shell grep jam Makefile) ] || rm Makefile

	[ ! -f Makefile ] || $(MAKE) distclean

	find -name Makefile.in | xargs -r rm

override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
	$(MAKE) install -i DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	rm debian/tmp/usr/share/doc/argyll/DocLicense.txt
	rm debian/tmp/usr/share/doc/argyll/License.txt

	-rm `find $(CURDIR)/debian/tmp -name '*.la'`

override_dh_install:
	dh_install -X.a -X.la --fail-missing

#	for i in $$(cat debian/libicc2.install debian/libicc-dev.install) ; do rm -f $(CURDIR)/debian/argyll/$$i ; done
#	rm $(CURDIR)/debian/argyll/usr/share/doc/argyll/License.txt $(CURDIR)/debian/argyll/usr/share/doc/argyll/DocLicense.txt
#	for i in average refine targen verify ; do mv $(CURDIR)/debian/argyll/usr/bin/$$i $(CURDIR)/debian/argyll/usr/bin/argyll-$$i ; done

override_dh_installchangelogs:
	dh_installchangelogs log.txt

LIBICC_VERSION=$(shell awk -F= '/^LIBICC_VERSION=/ { print $$2 }' icc/Makefile.am)
ARGYLL_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')

override_dh_gencontrol:
	dh_gencontrol -plibicc2 -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol -plibicc-dev -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol --remaining-packages

#build: firmware-package-builder/spyder2.tar.gz

firmware-package-builder/%.tar.gz: firmware-package-builder/argyll-firmware-%
	chmod +x $</debian/rules
	tar cfCz $@ firmware-package-builder $(notdir $<)

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

build-manpages:
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Translate colors through an ICC profile." debian/tmp/usr/bin/icclu > debian/icclu.1
	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/applycal.1
	help2man -N --no-discard-stderr --name="Average or merge values in .ti3 like files." debian/tmp/usr/bin/average > debian/average.1
	help2man -N --no-discard-stderr --name="Convert Colorblind raw device profile data to Argyll data." debian/tmp/usr/bin/cb2ti3 > debian/cb2ti3.1
	help2man -N --no-discard-stderr --name="Color Correct a TIFF file using any sequence of ICC profiles or Calibrations." debian/tmp/usr/bin/cctiff > debian/cctiff.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." debian/tmp/usr/bin/ccttest > debian/ccttest.1
	help2man -N --no-discard-stderr --name="Create CCMX or CCSS." debian/tmp/usr/bin/ccxxmake > debian/ccxxmake.1
	help2man -N --no-discard-stderr --name="Read Target Test Chart." debian/tmp/usr/bin/chartread > debian/chartread.1
	help2man -N --no-discard-stderr --name="Link ICC profiles." debian/tmp/usr/bin/collink > debian/collink.1
	help2man -N --no-discard-stderr --name="Create ICC profile." debian/tmp/usr/bin/colprof > debian/colprof.1
	help2man -N --no-discard-stderr --name="Calibrate a Display." debian/tmp/usr/bin/dispcal > debian/dispcal.1
	help2man -N --no-discard-stderr --name="Read a Display." debian/tmp/usr/bin/dispread > debian/dispread.1
	help2man -N --no-discard-stderr --name="Test display patch window, Set Video LUTs, Install profiles." debian/tmp/usr/bin/dispwin > debian/dispwin.1
	help2man -N --no-discard-stderr --name="Extract an ICC profile from a TIFF file." debian/tmp/usr/bin/extracticc > debian/extracticc.1
	help2man -N --no-discard-stderr --name="Extract a text tag from an ICC profile." debian/tmp/usr/bin/extractttag > debian/extractttag.1
	help2man -N --no-discard-stderr --name="Create a fake CMY data file from a CMYK profile." debian/tmp/usr/bin/fakeCMY > debian/fakeCMY.1
	help2man -N --no-discard-stderr --name="Fake test chart reader - lookup values in ICC/MPP profile." debian/tmp/usr/bin/fakeread > debian/fakeread.1
	help2man -N --no-discard-stderr --name="Convert a TIFF file to monochrome using an ICC device profile." debian/tmp/usr/bin/greytiff > debian/greytiff.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Create Lab/Jab gamut plot." debian/tmp/usr/bin/iccgamut > debian/iccgamut.1
	help2man -N --no-discard-stderr --name="Measure an illuminant." debian/tmp/usr/bin/illumread > debian/illumread.1
	help2man -N --no-discard-stderr --name="Check fwd to bwd relative transfer of an ICC file." debian/tmp/usr/bin/invprofcheck > debian/invprofcheck.1
	help2man -N --no-discard-stderr --name="Convert Kodak raw printer profile data to Argyll print data." debian/tmp/usr/bin/kodak2ti3 > debian/kodak2ti3.1
	help2man -N --no-discard-stderr --name="Check Model Printer Profile." debian/tmp/usr/bin/mppcheck > debian/mppcheck.1
	help2man -N --no-discard-stderr --name="Translate colors through an MPP profile." debian/tmp/usr/bin/mpplu > debian/mpplu.1
	help2man -N --no-discard-stderr --name="Create Model Printer Profile." debian/tmp/usr/bin/mppprof > debian/mppprof.1
	help2man -N --no-discard-stderr --name="Plot device space path L in/out curve from an ICC link file." debian/tmp/usr/bin/pathplot > debian/pathplot.1
	help2man -N --no-discard-stderr --name="Create printer calibration." debian/tmp/usr/bin/printcal > debian/printcal.1
	help2man -N --no-discard-stderr --name="Generate Target PostScrip file." debian/tmp/usr/bin/printtarg > debian/printtarg.1
	help2man -N --no-discard-stderr --name="Check accuracy of ICC profile." debian/tmp/usr/bin/profcheck > debian/profcheck.1
	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." debian/tmp/usr/bin/refine > debian/refine.1
	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." debian/tmp/usr/bin/revfix > debian/revfix.1
	help2man -N --no-discard-stderr --name="Scanin." debian/tmp/usr/bin/scanin > debian/scanin.1
	help2man -N --no-discard-stderr --name="Create Simple CMYK Device Profile." debian/tmp/usr/bin/simpprof > debian/simpprof.1
	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." debian/tmp/usr/bin/spec2cie > debian/spec2cie.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." debian/tmp/usr/bin/specplot > debian/specplot.1
	help2man -N --no-discard-stderr --name="Split a .ti3 into two." debian/tmp/usr/bin/splitti3 > debian/splitti3.1
	help2man -N --no-discard-stderr --name="Read Print Spot values." debian/tmp/usr/bin/spotread > debian/spotread.1
	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." debian/tmp/usr/bin/synthcal > debian/synthcal.1
	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." debian/tmp/usr/bin/synthread > debian/synthread.1
	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." debian/tmp/usr/bin/targen > debian/targen.1
	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." debian/tmp/usr/bin/tiffgamut > debian/tiffgamut.1

## argyll 1.6.3

=== debian/changelog ===
argyll (1.6.3-4) unstable; urgency=medium

  * debian/control:
    - On package argyll replace the wrong Replaces & Conflicts of argyll-bin
      with the right Breaks & Replaces to icc-utils (<< 1.6.3-1).
      (Closes: #767837)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 04 Nov 2014 07:59:20 +0100

argyll (1.6.3-3) unstable; urgency=medium

  * debian/control:
    - Replace Architecture: any with linux-any to prevent KFreeBSD-* and 
      hurd-i386 from build during unusable usb system (Closes: #762773).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 05 Oct 2014 19:31:16 +0200

argyll (1.6.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add Replaces: argyll (<< 1.6.3-1) and 
      Breaks (<< 1.6.3-1) to argyll-ref (Closes: #762780).
    - At argyll move argyll-doc from Depends to Suggests (Closes: #762850).
    - Remove from Build-Depends libusbhid-dev [kfreebsd-any].
    - Remove  ${shlibs:Depends} from Depends on argyll-doc and argyll-ref.
  * debian/patches/15_jam.patch:
    - To avoid use of the builtin libtiff and libjpeg add multiarch directories
      for searching libraries and header files by using DEB_HOST_MULTIARCH
      (Closes: #762772).
  * New debian/patches/20_hurd_PATH_MAX.patch:
    - Add missing PATH_MAX for hurd-i386 (Closes: #762774).
  * debian/rules:
    - Remove the move of the html docs into a subdirectory (Closes: #762771).
    - Remove useless BUILTIN_TIFF=false from JAMCMDLINE.
    - Remove "-A --link-doc=argyll-doc" from dh_installdocs (Closes: #762853).
  * debian/*.(postinst|preinst|postrm):
    - Replace dpkg-maintscript-helper dir_to_symlink to sysmlink_to_dir.
  * Remove useless debian/argyll.examples
  * Remove obsolete debian/patches/03_usb-db.diff.
  * New debian/patches/120_usb-db_new.patch: (Closes: #762887)
    - Instead of the obsolete usb-db use the builtin hwdb in the udev rules.
      Thanks to Michael Biebl <biebl@debian.org>
  * New debian/patches/25_kfreebsd.patch:
    - Prevent build errors on kfreebsd-* (Closes: #762773).
      Thanks to Steven Chamberlain <steven@pyro.eu.org>
  * New debian/README.debian with notes to KFreeBSD-*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 29 Sep 2014 09:22:15 +0200

argyll (1.6.3-1) unstable; urgency=medium

  * New Maintainer (Closes: #720178).
  * New upstream release (Closes: #742658).
  * debian/rules:
    - Add get-orig-source.
    - Remove useless --with quilt from dh $@
    - Remove section for not included spyder2 firmware.
    - Rewrite for use of upstream build system.
  * debian/control:
    - Set myself as maintainer.
    - Update Build-Depends:
      + Remove automake | automaken
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the fields Vcs-Browser and Vcs-Git.
    - Change Priority from optional to extra.
    - Remove useless packages:
      + icc-utils
        Now in argyll. Now only dummy package.
        Change section to oldlibs
      + libicc2 & libicc-dev
        Useless. Only linked to argyll & icc-utils.
      + libimdi0 & libimdi-dev
        Useless. Only linked to argyll & icc-utils.
    - Move documentation to new package argyll-doc 
      and symlink into the other packages.
    - Add Pre-Depends:
      * dpkg (>= 1.17.5) for use of the dpkg-maintscript-helper.
  * debian/copyright:
    - Rewrite into DEP-5 format.
    - Add myself to the list of authors for debian/*.
    - Add missing licenses and authors.
  * debian/*.1
    - Move to debian/man/*.1.
  * debian/man/*
    - Rewrite the help2man generated man pages (Closes: #670857)
  * debian/patches/
    - New 110_dispwin_segfault.patch to prevent segfault by
      wrong parameter (Closes: #700253)
    - Rewrite 03_usb-db.diff for new upstream release.
    - Remove patches that included into new upstream release or useless:
      + 01_autotools-support.diff
      + 02_firmware-package-builder.diff
      + 03_kfreebsd.diff
      + 04_CVE-2012-4405.diff
      + 05_external-yajl.diff
      + 06_fix_udev_rule.patch
  * New debian/*.(postinst|preinst|postrm):
      - Remove existing doc directory and replace it with
        a symlink to argyll-doc with dpkg-maintscript-helper dir_to_symlink.
  * debian/argyll.preinst:
      - Remove useless rm_conffile(). First version in Debian was 1.1.1-1,
        rm_conffile was for version less equal 1.1.0-3.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 17 Sep 2014 08:47:26 +0200

=== debian/control ===
Source: argyll
Section: graphics
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 jam,
 libjpeg-dev,
 libtiff5-dev,
 libtool,
 libusb-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 libxxf86vm-dev,
 x11proto-scrnsaver-dev,
 x11proto-xf86vidmode-dev
Homepage: http://www.argyllcms.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git

Package: argyll
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
Pre-Depends:
 dpkg (>= 1.17.5)
Replaces: icc-utils (<< 1.6.3-1)
Breaks: icc-utils (<< 1.6.3-1)
Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Section: debug
Architecture: linux-any
Depends: argyll (= ${binary:Version}), ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Description: debugging symbols for argyll
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the debugging symbols for argyll, libicc and libimdi
 libraries

Package: argyll-ref
Architecture: all
Depends: ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Replaces: argyll (<< 1.6.3-1)
Breaks: argyll (<< 1.6.3-1)
Description: Color Management System, calibrator and profiler (data files)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the data files for argyll.

Package: argyll-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.17.5)
Description: Color Management System, calibrator and profiler (documentation)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the documentation for argyll.

Package: icc-utils
Architecture: all
Section: oldlibs
Depends: argyll, ${misc:Depends}
Breaks: libicc2 (<< 2.12+argyll1.4.0-2)
Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
Description: ICC profile I/O library (transitional package)
 The icclib is a set of routines which implement the reading and
 writing of color profile files that conform to the International
 Color Consortium (ICC) Profile Format Specification, Version 3.4.
 .
 This package is a transitional dummy package. The iccdump & 
 icclu are now in argyll.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)

JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref

%:
	dh $@

override_dh_auto_build:
	jam $(JAMCMDLINE) all

override_dh_auto_install:
	jam $(JAMCMDLINE) dirs
	jam $(JAMCMDLINE) install
	rm $(CURDIR)/debian/tmp/usr/bin/License.txt

override_dh_installdocs:
	dh_installdocs
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/DocLicense.txt
	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/afiles

override_dh_installchangelogs:
	dh_installchangelogs log.txt

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

build-manpages:
	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/man/iccdump.1
	help2man -N --no-discard-stderr --name="Translate colors through an ICC profile." debian/tmp/usr/bin/icclu > debian/man/icclu.1
	help2man -N --no-discard-stderr --name="Average or merge values in .ti3 like files." debian/tmp/usr/bin/average > debian/man/average.1
	help2man -N --no-discard-stderr --name="Convert Colorblind raw device profile data to Argyll data." debian/tmp/usr/bin/cb2ti3 > debian/man/cb2ti3.1
	help2man -N --no-discard-stderr --name="Color Correct a TIFF file using any sequence of ICC profiles or Calibrations." debian/tmp/usr/bin/cctiff > debian/man/cctiff.1
	help2man -N --no-discard-stderr --name="Create CCMX or CCSS." debian/tmp/usr/bin/ccxxmake > debian/man/ccxxmake.1
	help2man -N --no-discard-stderr --name="Read Target Test Chart." debian/tmp/usr/bin/chartread > debian/man/chartread.1
	help2man -N --no-discard-stderr --name="Link ICC profiles." debian/tmp/usr/bin/collink > debian/man/collink.1
	help2man -N --no-discard-stderr --name="Create ICC profile." debian/tmp/usr/bin/colprof > debian/man/colprof.1
	help2man -N --no-discard-stderr --name="Verify CIE values." debian/tmp/usr/bin/colverify > debian/man/colverify.1
	help2man -N --no-discard-stderr --name="Calibrate a Display." debian/tmp/usr/bin/dispcal > debian/man/dispcal.1
	help2man -N --no-discard-stderr --name="Read a Display." debian/tmp/usr/bin/dispread > debian/man/dispread.1
	help2man -N --no-discard-stderr --name="Test display patch window, Set Video LUTs, Install profiles." debian/tmp/usr/bin/dispwin > debian/man/dispwin.1
	help2man -N --no-discard-stderr --name="Extract an ICC profile from a TIFF file." debian/tmp/usr/bin/extracticc > debian/man/extracticc.1
	help2man -N --no-discard-stderr --name="Extract a text tag from an ICC profile." debian/tmp/usr/bin/extractttag > debian/man/extractttag.1
	help2man -N --no-discard-stderr --name="Create a fake CMY data file from a CMYK profile." debian/tmp/usr/bin/fakeCMY > debian/man/fakeCMY.1
	help2man -N --no-discard-stderr --name="Fake test chart reader - lookup values in ICC/MPP profile." debian/tmp/usr/bin/fakeread > debian/man/fakeread.1
	help2man -N --no-discard-stderr --name="Convert a TIFF file to monochrome using an ICC device profile." debian/tmp/usr/bin/greytiff > debian/man/greytiff.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." debian/tmp/usr/bin/iccdump > debian/man/iccdump.1
	help2man -N --no-discard-stderr --name="Create Lab/Jab gamut plot." debian/tmp/usr/bin/iccgamut > debian/man/iccgamut.1
	help2man -N --no-discard-stderr --name="Measure an illuminant." debian/tmp/usr/bin/illumread > debian/man/illumread.1
	help2man -N --no-discard-stderr --name="Check fwd to bwd relative transfer of an ICC file." debian/tmp/usr/bin/invprofcheck > debian/man/invprofcheck.1
	help2man -N --no-discard-stderr --name="Convert Kodak raw printer profile data to Argyll print data." debian/tmp/usr/bin/kodak2ti3 > debian/man/kodak2ti3.1
	help2man -N --no-discard-stderr --name="Check Model Printer Profile." debian/tmp/usr/bin/mppcheck > debian/man/mppcheck.1
	help2man -N --no-discard-stderr --name="Translate colors through an MPP profile." debian/tmp/usr/bin/mpplu > debian/man/mpplu.1
	help2man -N --no-discard-stderr --name="Create Model Printer Profile." debian/tmp/usr/bin/mppprof > debian/man/mppprof.1
	help2man -N --no-discard-stderr --name="List information about the FILEs." debian/tmp/usr/bin/oeminst > debian/man/oeminst.1
	help2man -N --no-discard-stderr --name="Create printer calibration." debian/tmp/usr/bin/printcal > debian/man/printcal.1
	help2man -N --no-discard-stderr --name="Generate Target PostScrip file." debian/tmp/usr/bin/printtarg > debian/man/printtarg.1
	help2man -N --no-discard-stderr --name="Check accuracy of ICC profile." debian/tmp/usr/bin/profcheck > debian/man/profcheck.1
	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." debian/tmp/usr/bin/refine > debian/man/refine.1
	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." debian/tmp/usr/bin/revfix > debian/man/revfix.1
	help2man -N --no-discard-stderr --name="Scanin." debian/tmp/usr/bin/scanin > debian/man/scanin.1
	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." debian/tmp/usr/bin/spec2cie > debian/man/spec2cie.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." debian/tmp/usr/bin/specplot > debian/man/specplot.1
	help2man -N --no-discard-stderr --name="Split a .ti3 into two." debian/tmp/usr/bin/splitti3 > debian/man/splitti3.1
	help2man -N --no-discard-stderr --name="Read Print Spot values." debian/tmp/usr/bin/spotread > debian/man/spotread.1
	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." debian/tmp/usr/bin/synthcal > debian/man/synthcal.1
	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." debian/tmp/usr/bin/synthread > debian/man/synthread.1
	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." debian/tmp/usr/bin/targen > debian/man/targen.1
	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." debian/tmp/usr/bin/tiffgamut > debian/man/tiffgamut.1
	help2man -N --no-discard-stderr --name="Create test images, default hex RGB surface and wedge." debian/tmp/usr/bin/timage > debian/man/timage.1
	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." debian/tmp/usr/bin/txt2ti3 > debian/man/txt2ti3.1
	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')

get-orig-source: 
	wget http://www.argyllcms.com/Argyll_V${VERSION}_src.zip -O ../Argyll_V${VERSION}_src.zip
	unzip ../Argyll_V${VERSION}_src.zip  -d ../
	mv ../Argyll_V${VERSION} ../argyll_${VERSION}
	tar cJf ../argyll_${VERSION}.orig.tar.xz ../argyll_${VERSION}
	rm -fr ../argyll_${VERSION} ../Argyll_V${VERSION}_src.zip

## argyll 1.7.0+repack

=== debian/changelog ===
argyll (1.7.0+repack-4) unstable; urgency=medium

  * debian/rules:
    - Add --utc to the command date for CRDATE to make the results
      reproducible over different timezones.
  * New debian/patches/30_gcc5.patch:
    - Add gcc-5 support (Closes: #777779).
      + Thanks to James Cowgill <james410@cowgill.org.uk>.
  * Re-enable and refresh debian/patches/20_hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 05 Jul 2015 12:30:03 +0200

argyll (1.7.0+repack-3) unstable; urgency=medium

  * debian/watch:
    - change opts to support for "+repack".
  * debian/patches/15_jam.patch:
    - Add support for mips64el (Closes: #788447).
  * debian/control:
    - Correct some priorities.
    - Remove package icc-utils because last version
      in stable is greater then 1.6.3-1.
  * Remove useless debian/argyll.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 12 Jun 2015 12:13:59 +0200

argyll (1.7.0+repack-2) unstable; urgency=medium

  * debian/patches/15_jam.patch:
    - Rewrite rules to find libraries on all architectures.
  * debian/control:
    - Add zlib1g-dev to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 04 May 2015 10:15:34 +0200

argyll (1.7.0+repack-1) unstable; urgency=low

  * Set package type to +repack.
  * debian/control:
    - Add libpng12-dev to build-Depends.
    - Set Priority to optional.
    - At package icc-utils and argyll-dbg set the Priority to extra.
  * Make debian/man/scanin.1 more readable (LP: #1192368).
  * Make build results reproducible:
    - debian/rules:
      + Replace build timestamps from ref files with date/time from
        debian/changelog.
    - debian/control:
      + Add dpkg-dev to Build-Depends.
  * debian/rules:
    - get-orig-source:
      + Remove unwanted Windows binaries.
      + Remove unused sources: tiff, jpeg, zlib, png.
    - Add ls2ti3 to build-manpages.
    - New override_dh_compress:
      + Don't compress html files.
  * debian/copyright:
    - Remove unused tags.
    - Add new files.
    - Set year 2015.
    - Reorder files to prevend lintian warnings.
  * Remove patches:
    - 120_usb-db_new.patch applied upstream.
    - 20_hurd_PATH_MAX.patch & 25_kfreebsd.patch not more needed.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 03 May 2015 19:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: argyll
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ dpkg-dev (>= 1.17.0),
  jam,
  libjpeg-dev,
+ libpng12-dev,
  libtiff5-dev,
  libtool,
  libusb-dev,
@@ -17,7 +19,8 @@
  libxss-dev,
  libxxf86vm-dev,
  x11proto-scrnsaver-dev,
- x11proto-xf86vidmode-dev
+ x11proto-xf86vidmode-dev,
+ zlib1g-dev
 Homepage: http://www.argyllcms.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git
@@ -27,8 +30,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
 Pre-Depends:
  dpkg (>= 1.17.5)
-Replaces: icc-utils (<< 1.6.3-1)
-Breaks: icc-utils (<< 1.6.3-1)
 Recommends: libpam-systemd [linux-any], udev (>= 196) [linux-any]
 Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
 Description: Color Management System, calibrator and profiler
@@ -47,6 +48,7 @@
 
 Package: argyll-dbg
 Section: debug
+Priority: extra
 Architecture: linux-any
 Depends: argyll (= ${binary:Version}), ${misc:Depends}
 Pre-Depends:
@@ -76,6 +78,7 @@
 Package: argyll-doc
 Architecture: all
 Section: doc
+Priority: extra
 Depends: ${misc:Depends}
 Pre-Depends:
  dpkg (>= 1.17.5)
@@ -85,17 +88,3 @@
  printers, film recorders and calibration and profiling of displays.
  .
  This package contains the documentation for argyll.
-
-Package: icc-utils
-Architecture: all
-Section: oldlibs
-Depends: argyll, ${misc:Depends}
-Breaks: libicc2 (<< 2.12+argyll1.4.0-2)
-Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
-Description: ICC profile I/O library (transitional package)
- The icclib is a set of routines which implement the reading and
- writing of color profile files that conform to the International
- Color Consortium (ICC) Profile Format Specification, Version 3.4.
- .
- This package is a transitional dummy package. The iccdump & 
- icclu are now in argyll.

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,40 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 export DH_OPTIONS
 
 NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)
 
 JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref
+CHDATE=$(shell dpkg-parsechangelog -S Date)
+CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
+
+#
+# Test for gcc-5 support
+#
+#export CC=gcc-5
+#export CXX=g++-5
+
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	gcc --version
 	jam $(JAMCMDLINE) all
 
 override_dh_auto_install:
 	jam $(JAMCMDLINE) dirs
 	jam $(JAMCMDLINE) install
 	rm $(CURDIR)/debian/tmp/usr/bin/License.txt
+	#
+	# Make build results reproducible.
+	#
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/RefMediumGamut.gam
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/linear.cal
+	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/strange.cal
 
 override_dh_installdocs:
 	dh_installdocs
@@ -30,6 +49,12 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=argyll-dbg
+
+override_dh_builddeb:
+	dh_builddeb
+
+override_dh_compress:
+	dh_compress -X.html
 
 build-manpages:
 	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
@@ -78,12 +103,8 @@
 	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." debian/tmp/usr/bin/txt2ti3 > debian/man/txt2ti3.1
 	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
 	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1
+	help2man -N --no-discard-stderr --name="Convert LightSpace raw RGB device profile data to Argyll CGATS dat" debian/tmp/usr/bin/ls2ti3 > debian/man/ls2ti3.1
 
 VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
 
 get-orig-source: 
-	wget http://www.argyllcms.com/Argyll_V${VERSION}_src.zip -O ../Argyll_V${VERSION}_src.zip
-	unzip ../Argyll_V${VERSION}_src.zip  -d ../
-	mv ../Argyll_V${VERSION} ../argyll_${VERSION}
-	tar cJf ../argyll_${VERSION}.orig.tar.xz ../argyll_${VERSION}
-	rm -fr ../argyll_${VERSION} ../Argyll_V${VERSION}_src.zip

=== debian/watch ===
version=3

#opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
opts=dversionmangle=s/\+repack(.*)// \
http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip

## argyll 1.8.3%2Brepack

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  dpkg-dev (>= 1.17.0),
  jam,
  libjpeg-dev,
- libpng12-dev,
+ libssl-dev,
+ libpng-dev,
  libtiff5-dev,
  libtool,
- libusb-dev,
+ libusb-1.0-0-dev,
  libx11-dev,
  libxinerama-dev,
  libxrandr-dev,
@@ -63,6 +64,7 @@
 
 Package: argyll-ref
 Architecture: all
+Priority: extra
 Depends: ${misc:Depends}
 Pre-Depends:
  dpkg (>= 1.17.5)

## argyll 1.8.3+repack

=== Makefile ===
# UNIX style makefile, for icclib and friends.
# "include" the right environment for your system,
# by uncommenting the appropriate line:

# Microsoft C++, WinNT setup
include Makefile.WNT

# IBM C++, WinNT setup
#include Makefile.IBMNT

# Generic UNIX setup
#include Makefile.UNIX

# Apple OSX
#include Makefile.OSX

###############################

#Compile with separate stdio
#CCDEFINES = $(DEFFLAG)SEPARATE_STD

#Set optimisation on
CCFLAGS = $(CCFLAGSDEF) $(CCOPTFLAG) $(CCDEFINES)

#Set debugging on
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES)

STDHDRS = $(STDHDRSDEF)
LINKFLAGS = $(LINKFLAGSDEF) $(LINKDEBUGFLAG)

all:: libicc$(SUFLIB) icctest$(SUFEXE) lutest$(SUFEXE) icclu$(SUFEXE) iccdump$(SUFEXE) iccrw$(SUFEXE) mkDispProf$(SUFEXE)


icc$(SUFOBJ): icc.c icc.h
	$(CC) $(CCOF)icc$(SUFOBJ) icc.c

libicc$(SUFLIB): icc$(SUFOBJ)
	$(LIBU) $(LIBOF)libicc$(SUFLIB) icc$(SUFOBJ)
	$(RANLIB) libicc$(SUFLIB)


# Separate for executables
iccstd$(SUFOBJ): iccstd.c icc.h
	$(CC) $(CCOF)iccstd$(SUFOBJ) iccstd.c


icctest$(SUFOBJ): icctest.c icc.h
	$(CC) $(CCOF)icctest$(SUFOBJ) icctest.c

icctest$(SUFEXE): icctest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)icctest$(SUFEXE) icctest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


lutest$(SUFOBJ): lutest.c icc.h
	$(CC) $(CCOF)lutest$(SUFOBJ) lutest.c

lutest$(SUFEXE): lutest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)lutest$(SUFEXE) lutest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


icclu$(SUFOBJ): icclu.c icc.h
	$(CC) $(CCOF)icclu$(SUFOBJ) icclu.c

icclu$(SUFEXE): icclu$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)icclu$(SUFEXE) icclu$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


iccdump$(SUFOBJ): iccdump.c icc.h
	$(CC) $(CCOF)iccdump$(SUFOBJ) iccdump.c

iccdump$(SUFEXE): iccdump$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)iccdump$(SUFEXE) iccdump$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


iccrw$(SUFOBJ): iccrw.c icc.h
	$(CC) $(CCOF)iccrw$(SUFOBJ) iccrw.c

iccrw$(SUFEXE): iccrw$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)iccrw$(SUFEXE) iccrw$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


mkDispProf$(SUFOBJ): mkDispProf.c icc.h
	$(CC) $(CCOF)mkDispProf$(SUFOBJ) mkDispProf.c

mkDispProf$(SUFEXE): mkDispProf$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)mkDispProf$(SUFEXE) mkDispProf$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)

=== debian/changelog ===
argyll (1.8.3+repack-2) unstable; urgency=medium

  * debian/copyright: Add 2016.
  * debian/control:
    - Transition libpng: Change Build-Depends from libpng16-dev to libpng-dev
      (Closes: #810178).
    - Transition libusb: Change Build-Depends from libusb-dev to 
      libusb-1.0-0-dev (Closes: #810398).
    - Set priority of argyll-ref to extra.
  * Rename patches.
  * Refresh debian/patches/0100_spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Jan 2016 18:59:21 +0100

argyll (1.8.3+repack-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move download and repack from debian/rules to uscan:
    - Add debian debian/repack.sh to debian/watch.
    - New debian/repack.sh.
    - Remove get-orig-source from debian/rules.
  * debian/rules:
    - Remove tests for the gcc-5 transition.
  * Rename debian/missing-sources/x3dom.debug.js to x3dom.js.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 06 Nov 2015 09:03:08 +0100

argyll (1.8.2+repack-1) unstable; urgency=medium

  * New upstream release.
  * Add x3dom.debug.js to debian/missing-sources.
  * debian/control:
    - For use of the system library instead of the Argyll library
      add libssl-dev to Build-Depends
  * debian/patches/100_spelling.patch:
    - Add some more typos.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Sep 2015 16:03:54 +0200

argyll (1.8.0+repack-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches:
    - debian/patches/15_jam.patch
    - debian/patches/100_spelling.patch
    - debian/patches/110_dispwin_segfault.patch
  * debian/rules:
    - Rewrite VERSION sniplet.
    - get-orig-source:
      + Remove executable flag from source.
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Aug 2015 17:27:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,10 @@
 CHDATE=$(shell dpkg-parsechangelog -S Date)
 CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
 
-#
-# Test for gcc-5 support
-#
-#export CC=gcc-5
-#export CXX=g++-5
-
-
 %:
 	dh $@
 
 override_dh_auto_build:
-	gcc --version
 	jam $(JAMCMDLINE) all
 
 override_dh_auto_install:
@@ -104,7 +96,3 @@
 	help2man -N --no-discard-stderr --name="View gamuts." debian/tmp/usr/bin/viewgam > debian/man/viewgam.1
 	help2man -N --no-discard-stderr --name="Translate colors through an xicc." debian/tmp/usr/bin/xicclu > debian/man/xicclu.1
 	help2man -N --no-discard-stderr --name="Convert LightSpace raw RGB device profile data to Argyll CGATS dat" debian/tmp/usr/bin/ls2ti3 > debian/man/ls2ti3.1
-
-VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
-
-get-orig-source:

=== debian/watch ===
version=3

#opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
opts=dversionmangle=s/\+repack(.*)// \
http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip debian debian/repack.sh

## argyll 1.9.2+repack

=== debian/changelog ===
argyll (1.9.2+repack-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change VCS-Browser to secure URI.
  * debian/copyright:
    - Add year 2016 for upstream.
  * debian/rules:
    - Make the build reproducible (Closes: #835265).
      (Thanks to Chris Lamb <lamby@debian.org>)
    - Remove License4.txt from argyll-doc.
  * debian/watch:
    - Bump Version to 4 (no changes required).
  * Enable hardening:
    - Refresh debian/patches/0001_jam.patch.
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS at debian/rules.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Oct 2016 03:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-autoreconf,
  dpkg-dev (>= 1.17.0),
  jam,
@@ -24,7 +24,7 @@
  zlib1g-dev
 Homepage: http://www.argyllcms.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/argyll.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git
 
 Package: argyll
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 export DH_OPTIONS
 
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 NO_PROC=$(shell cat /proc/cpuinfo | grep processor | wc -l)
 
 JAMCMDLINE = -q -fJambase -j$(NO_PROC) -sPREFIX=/usr -sDESTDIR=$(CURDIR)/debian/tmp  -sREFSUBDIR=share/color/argyll/ref
 CHDATE=$(shell dpkg-parsechangelog -S Date)
-CRDATE=$(shell date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
+CRDATE=$(shell LC_ALL=C date --utc -d "$(CHDATE)" "+%a %b %d %T %Y")
 
 %:
 	dh $@
@@ -33,6 +36,7 @@
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
+	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License4.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/DocLicense.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/afiles

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 #opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
 opts=dversionmangle=s/\+repack(.*)// \
